Bug 249191 - 'hplip': no documents printed by 'HP LaserJet 4000' attached to parallel port
'hplip': no documents printed by 'HP LaserJet 4000' attached to parallel port
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-07-22 07:23 EDT by Joachim Frieben
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.7.4a-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 21:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Relevant section of '/var/log/messages' (629 bytes, text/plain)
2007-07-22 07:23 EDT, Joachim Frieben
no flags Details
'cups' error log for 'LogLevel debug2' (1.00 MB, text/plain)
2007-07-22 07:27 EDT, Joachim Frieben
no flags Details
Relevant section of '/var/log/messages' (624 bytes, text/plain)
2007-07-22 07:42 EDT, Joachim Frieben
no flags Details
Relevant section of '/var/log/messages' for 'rawhide' system as of 2007-07-31 (501 bytes, text/plain)
2007-07-31 10:46 EDT, Joachim Frieben
no flags Details
Relevant section of '/var/log/messages' for 'rawhide' system as of 2007-09-21 [Koji] (501 bytes, text/plain)
2007-09-21 10:53 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-07-22 07:23:18 EDT
Description of problem:
After setting up an 'HP LaserJet 4000' printer attached to the parallel
port of my system by means of 'system-config-printer', files which are
schduled for printing do not get printed bit rather remain in the
printing queue. After executing the print command, 'dmesg' reports

 'ppdev0: registered pardevice'
 'ppdev0: negotiated back to compatibility mode because user-space forgot'

and after canceling the stalled print job

 'ppdev0: unregistered pardevice'

Version-Release number of selected component (if applicable):
hplip-1.7.4a-4.fc7

How reproducible:
Always. 

Steps to Reproduce:
1. Install print queue for 'HP LaserJet 4000' attached to parallel port.
3. Print text file.
  
Actual results:
The printing notification icon turns active, and in the 'Document Print
Status' window the pending job is shown, but nothing gets ever printed.

Expected results:
Print job completes successfully within a short amount of time.

Additional info:
This problem only occurs when the printer is installed using the
[suggested] 'hplip' device

 'hp:/par/HP_LaserJet_4000_Series?device=/dev/parport0' .

A second queue using 'parallel:/dev/lp0' for the same printer and
with the same configuration options works as expected.
Comment 1 Joachim Frieben 2007-07-22 07:23:19 EDT
Created attachment 159738 [details]
Relevant section of '/var/log/messages'
Comment 2 Joachim Frieben 2007-07-22 07:27:41 EDT
Created attachment 159739 [details]
'cups' error log for 'LogLevel debug2'
Comment 3 Joachim Frieben 2007-07-22 07:42:16 EDT
Created attachment 159740 [details]
Relevant section of '/var/log/messages'
Comment 4 Joachim Frieben 2007-07-22 07:56:57 EDT
The attachment to comment #3 contains the relevant section from
'/var/log/messages'. Installed packages relevant for the issue are:

  - cups-1.2.12-1.fc7
  - hplip-1.7.4a-4.fc7
  - system-config-printer-0.7.63.2-2.fc7
Comment 5 Joachim Frieben 2007-07-26 15:44:16 EDT
Same issue after a fresh install from the 'rawhide' tree:

 - cups-1.3-0.b1.5.fc8
 - hplip-2.7.6-10.fc8
 - system-config-printer-0.7.70-2.fc8
Comment 6 Tim Waugh 2007-07-31 09:31:50 EDT
It would be useful to see the new /var/log/messages errors from rawhide.  Thanks.
Comment 7 Joachim Frieben 2007-07-31 10:46:35 EDT
Created attachment 160329 [details]
Relevant section of '/var/log/messages' for 'rawhide' system as of 2007-07-31
Comment 8 Tim Waugh 2007-07-31 10:50:46 EDT
Thanks.
Comment 9 Joachim Frieben 2007-09-21 10:53:33 EDT
Created attachment 202301 [details]
Relevant section of '/var/log/messages' for 'rawhide' system as of 2007-09-21 [Koji]

Issue persists after a fresh install from the 'rawhide' tree:

 - cups-1.3.2-2.fc8
 - hplip-2.7.7-4.fc8
 - system-config-printer-0.7.74.2-1.fc8

Relevant section of '/var/log/messages' for 'rawhide' system as of 2007-09-21
[Koji]
Comment 10 Tim Waugh 2007-09-25 05:15:26 EDT
Does turning SELinux off work around the problem? (If so, I need to fix the
policy...)

/usr/sbin/setenforce 0
Comment 11 Joachim Frieben 2007-09-25 05:41:32 EDT
That's the content of /etc/sysconfig/selinux which shows my default
choice of 'permissive' mode. So, SELinux doesn't seem to be the
cause:

# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#       enforcing - SELinux security policy is enforced.
#       permissive - SELinux prints warnings instead of enforcing.
#       disabled - SELinux is fully disabled.
SELINUX=permissive
# SELINUXTYPE= type of policy in use. Possible values are:
#       targeted - Only targeted network daemons are protected.
#       strict - Full SELinux protection.
SELINUXTYPE=targeted

# SETLOCALDEFS= Check local definition changes
SETLOCALDEFS=0
Comment 12 Tim Waugh 2007-09-25 12:49:54 EDT
What does 'hp-probe' say?
Comment 13 Joachim Frieben 2007-09-25 14:37:18 EDT
HP Linux Imaging and Printing System (ver. 2.7.7)
Printer Discovery Utility ver. 3.2

Copyright (c) 2001-7 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: No devices found on the 'usb' bus. If this isn't the result
  you are expecting,
warning: check to make sure your devices are properly connected and
  powered on.


Given that I do not have any USB printer but an HP LaserJet 4000 connected
to the parallel port, this output does not look really helpful ..
Comment 14 Joachim Frieben 2007-10-05 03:53:38 EDT
After upating to the latest 'rawhide' components cups-1.3.3-1.fc8, 
hplip-2.7.9-1.fc9, and system-config-printer-0.7.75-1.fc9, there is some
progress with using 'hp-probe'. I now obtain:

-----------------------------------------------------------------------------
HP Linux Imaging and Printing System (ver. 2.7.9)
Printer Discovery Utility ver. 4.0

Copyright (c) 2001-7 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.


--------------------------
| CHOOSE CONNECTION TYPE |
--------------------------

  Num.        Connection  Connection Type Description             
              Type                                                
  ----------  ----------  ----------------------------------------
  0*          usb         Universal Serial Bus (USB)              
  1           net         Network/Ethernet/Wireless (direct       
                          connection or JetDirect)                
  2           par         Parallel Port (LPT:)                    

Enter number 0...2 for connection type (q=quit, enter=usb*) ? 2


--------------------
| DEVICE DISCOVERY |
--------------------

  Device URI                                            Model                  
  ----------------------------------------------------  -----------------------
  hp:/par/HP_LaserJet_4000_Series?device=/dev/parport0  HP LaserJet 4000 Series

Found 1 printer(s) on the 'par' bus.
-----------------------------------------------------------------------------

So, it correctly scans the available busses and displays the HP LaserJet 4000
connected to the parallel port. However, upon creation of a new printing device
using 'hplip', the error messages in /var/log/messages after printing a test
page are identical to the previous ones.
Comment 15 Tim Waugh 2007-10-05 04:43:41 EDT
Thanks for testing.  I've reported this upstream.
Comment 16 Joachim Frieben 2007-10-05 05:11:56 EDT
Adding the upstream reference here would be great! Thanks.
Comment 18 Fedora Update System 2007-10-10 21:47:19 EDT
hplip-1.7.4a-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.